Generate Consolidated e-Way Bill
POST
https://apisandbox.whitebooks.in/ewaybillapi/v1.03/ewayapi/gencewbGenerate Consolidated Ewaybill
e-Way Bill UI
Explore FeatureGenerate & Manage e-Way Bills with Part-B Updates
Update vehicle numbers, extend validity in transit, and manage consolidated trip sheets without logging into the NIC portal.
Parameters
query parameters
emailstringrequiredUser Email
header parameters
ip_addressstringrequiredIP Address
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
usernamestringrequiredUser Name
gstinstringrequiredGSTIN number
Request Body
application/jsonrequired
fromPlacestringrequiredFrom Place
Example: "FRAZER TOWN"
fromStatenumberrequiredFrom State
Example: 5
vehicleNostringoptionalVehicle Number
Example: "ABC1234"
transModestringrequiredTransport Mode (Road-1,Rail-2,Air-3,Ship-4)
Enum:
1234Example: "1"
transDocNostringoptionalTransport Document Number
Example: "12"
transDocDatestringoptionalTransport Document Date
Example: "20/02/2024"
tripSheetEwbBillsarray<object>requiredArray items:
ewbNonumberrequiredEwaybill Number
Example: 381009282489
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP POST to
/ewaybillapi/v1.03/ewayapi/gencewb. Required parameters: email (query parameter), ip_address (header parameter), client_id (header parameter), client_secret (header parameter), username (header parameter), gstin (header parameter). A JSON request body (Content-Type: application/json) is required with mandatory top-level fields: fromPlace, fromState, transMode, tripSheetEwbBills.For Generate Consolidated Ewaybill (POST
/ewaybillapi/v1.03/ewayapi/gencewb), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Generate Consolidated Ewaybill
No example available.